import os
import glob
import subprocess
import time

def find_between( s, first, last ):
    try:
        start = s.index( first ) + len( first )
        end = s.index( last, start )
        return s[start:end]
    except ValueError:
        return ""

os.chdir("/Users/jorge_cmata/Documents/workspace/cloudclient")

#PARAMETERS
total_time_taken_subprocess = 0
number_of_true = 0
number_of_false = 0
start = time.time()

filelist = glob.glob("/Users/jorge_cmata/Documents/workspace/cloudclient/batch_abs_12k/*")

for i in range(len(filelist)):
	filename = filelist[i].split("cloudclient/",1)[1]
	start1 = time.time()
	out = subprocess.check_output(["./cloudclient", filename , "/Users/jorge_cmata/Documents/workspace/cloudclient/traces/storage_key.txt", "lb"], stdin=subprocess.PIPE)
	end1 = time.time()
	total_time_taken_subprocess = total_time_taken_subprocess + float(end1-start1)

	#deduplicated blocks
	number_of_collisions = find_between( out, "Number of collisions: ", " ||" )
	print "Collisions: " + number_of_collisions
	if number_of_collisions == '0':
		number_of_true = number_of_true + 1
	else:
		number_of_false = number_of_false + 1
	
	print "------GLOBAL RESULTS --------"
	print "Total time taken: " + str(total_time_taken_subprocess)
	print "Total number of true: " + str(number_of_true)
	print "Total number of false: " + str(number_of_false)

	position = i + 1
	print("------------------- " + str(position) + " / " + str(len(filelist)) + " -------------------")

end = time.time()
print(end - start)

print "------GLOBAL RESULTS --------"
print "Total time taken: " + str(total_time_taken_subprocess)
print "Total number of true: " + str(number_of_true)
print "Total number of false: " + str(number_of_false)

