<?php

include "leaf.php";

class Tree{

    /* variables */
      var $leaves = array();
      
      /* functions */
      function setLeaves($leaves){
         $this->leaves = $leaves;
      }
      
      function getLeaves(){
         return $this->leaves;
      }
      
      function addLeaf($leaf){
         array_push($this->leaves,$leaf);
      }
      
      function hasSameFingerprint($arraySizes){
         //First condition: Same number of nodes
         if(count($arraySizes) != count($this->leaves)){
            return false;
         }
         //Second condition: Same size in each node
         $position = 0;
         if (is_array($arraySizes) || is_object($varraySizes)){
             foreach ($arraySizes as $size) {
               if($size != $this->leaves[$position]->size){
                  return false;
               }
               $position++;
            }
         }
         
         return true;
      }
}

?>