/*
 * MLE.h
 *
 *  Created on: 7 de feb. de 2017
 *      Author: jorge_cmata
 */

#ifndef MLE_H_
#define MLE_H_

using namespace std;

string hexEncode(string decoded);
string hexDecode(string encoded);
string keyGen(string message);
string tagGen(string key);
string encrypt(string key, string plaintext);
string decrypt(string key, string ciphertext);
string removePadding(string input);
string generateRandomKey();
bool checkRollingHash(string input_text);
int check2DRollingHash(string input_text);
bool checkLeapBasedHash(string input_text);

#endif /* MLE_H_ */
